.Home-Slider {
    margin: -40px auto 0;
    margin-bottom: 100px;
    background-color: $black;

    @include mobile {
        margin-bottom: 10px;
    }

    .HomeSlider {
        &-HeadingTop,
        &-HeadingBottom {
            width: 50%;
            margin-bottom: 0;
            color: transparent;
            font-size: 74px;
            line-height: 70px;

            @include before-desktop {
                display: none;
            }

            @include desktop {
                font-size: 60px;
                line-height: 60px;
            }

            @include desktop-xl {
                font-size: 74px;
                line-height: 70px;
            }
        }

        &-HeadingTop {
            text-align: left;
            -webkit-text-stroke-width: 1px;
            -webkit-text-stroke-color: $white;
        }

        &-HeadingBottom {
            float: right;
            color: white;
            text-align: right;
        }

        &-HeadingWrapper {
            &::after {
                display: table;
                clear: both;
                content: '';
            }
        }

        &-Cta {
            min-width: 224px;
            padding: 24px;
            color: $black;
            background-color: var(--secondary-base-color);
            font-size: 16px;

            @include before-desktop {
                padding: 14px;
            }
        }
    }
}

.homepage-slider {
    .SliderWidget {
        &-Figcaption {
            @include after-mobile {
                padding: 0 6rem 0;
            }

            @include before-desktop {
                top: 80%;
            }

            @include desktop {
                padding: 0 9rem 0;
            }
        }

        &-FigureImage {
            @include mobile {
                width: 100%;
            }
        }
    }
}

.HomeNewProducts {
    max-width: var(--carousel-wrapper-width);
    padding: 0 16px;
    margin: 0 auto 100px;
    position: relative;

    @include mobile {
        margin-bottom: 60px;
    }

    @include desktop {
        padding: 0;
    }

    &-Header {
        display: flex;
        margin-bottom: 16px;
        position: static;
        justify-content: space-between;

        @include after-mobile {
            margin-bottom: 37px;
        }
    }

    &-Title {
        width: calc(50% - 16px);
        margin-left: 16px;
        color: $black;
        font-family: $font-work-sans;
        font-size: 32px;
        font-weight: normal;
        line-height: 48px;

        @include after-mobile {
            width: calc(50% - 96px);
            margin-left: 96px;
        }
    }

    &-CategoryLink {
        width: fit-content;
        padding: 0 0 11px;
        border-bottom: 1px solid $black;
        margin: 17px 96px 0 10px;
        color: $black;
        font-size: 14px;

        @include mobile {
            padding: 0;
            margin: 11px 16px 11px 10px;
            position: absolute;
            right: 16px;
            bottom: -40px;
            font-size: 12px;
        }
    }

    .ProductListWidget-Page {
        @include after-mobile {
            grid-template-columns: repeat(5, 1fr);
            padding-left: 96px;
        }
    }
}

.prm {
    .Home-Slider {
        margin: 0;
        background-color: transparent;

        .Slider-Container {
            max-width: 100%;
        }

        .SliderWidget {
            bottom: 0;

            &-Figcaption {
                top: unset;
                bottom: 64px;
                transform: unset;

                @include after-mobile {
                    bottom: 78px;
                }
            }

            &-FigureImage {
                padding-bottom: 162.5%;

                @include tablet {
                    padding-bottom: 102.75%;
                }

                @include desktop {
                    padding-bottom: 44.8%;
                }

                img {
                    display: block;
                }
            }
        }

        .Image {
            width: 100%;
            height: 100%;
        }

        .Slider-Arrow {
            $arrowSize: 32px;

            display: block;
            width: $arrowSize;
            height: $arrowSize;
            background-color: #fff;

            @include after-mobile {
                width: $arrowSize * 2;
                height: $arrowSize * 2;
            }

            &_type_right,
            &_type_left {
                top: calc(50% - $arrowSize / 2);

                @include after-mobile {
                    top: calc(50% - $arrowSize);
                }

                &::before {
                    display: inline-block;
                    padding: 3px;
                    border: solid #141414;
                    border-width: 0 1px 1px 0;
                    top: calc(50% - 3px);
                    content: '';

                    @include after-mobile {
                        padding: 6px;
                        top: calc(50% - 6px);
                    }
                }
            }

            &_type_right {
                right: 0;

                &::before {
                    transform: rotate(-45deg);
                }
            }

            &_type_left {
                left: 0;

                &::before {
                    transform: rotate(135deg);
                }
            }
        }

        .Slider-Crumbs {
            bottom: 28px;
            grid-gap: 8px;

            @include after-mobile {
                bottom: 30px;
            }

            .Slider-Crumb {
                width: 8px;
                height: 8px;
            }
        }

        .HomeSlider {
            &-Heading {
                margin-bottom: 9px;
                color: #fff;
                font-family: $font-work-sans;
                font-size: 30px;
                font-weight: 500;
                line-height: 44px;

                @include after-mobile {
                    margin-bottom: 40px;
                    font-size: 60px;
                    font-weight: 400;
                    line-height: 64px;
                }
            }

            &-Cta {
                min-width: 200px;
                padding: 12px 24px;
                border: none;
                color: $black;
                background-color: #fff;
                font-size: 16px;
                line-height: 24px;

                @include after-mobile {
                    padding: 20px 32px;
                }
            }
        }
    }

    .ProductListWidget-TitleWrapper {
        display: none;
    }
}
